import { WindowProviderRequestEnums } from '@multiversx/sdk-dapp-utils/out/enums/windowProviderEnums';
import { PostMessageParamsType, PostMessageReturnType } from '@multiversx/sdk-dapp-utils/out/types';
import { WindowManager } from '@multiversx/sdk-web-wallet-cross-window-provider/out/WindowManager';
import { IframeLoginTypes } from '../constants';
import { IframeProviderContentWindowModel } from './IframeProviderContentWindow.model';
export declare class IframeManager extends WindowManager {
    private iframeWalletComponent;
    private readonly iframeId;
    private loginType;
    constructor(props?: {
        onDisconnect?: () => Promise<boolean>;
    });
    get iframeWallet(): IframeProviderContentWindowModel | null;
    postMessage<T extends WindowProviderRequestEnums>({ type, payload }: PostMessageParamsType<T>): Promise<PostMessageReturnType<T>>;
    closeConnection(): Promise<boolean>;
    setLoginType(loginType: IframeLoginTypes): Promise<void>;
    isWalletOpened(): boolean;
    closeWalletWindow(): void;
    setWalletWindow(): Promise<void>;
    setWalletVisible(visible: boolean): void;
    private registerToChildResponse;
}
