import { IframeLoginTypes } from '../constants';
import { IframeProviderContentWindowModel } from './IframeProviderContentWindow.model';
type IframeProviderContentWindowProps = {
    id: string;
    url: string;
    anchor?: HTMLElement;
    loginType: IframeLoginTypes;
};
export declare class IframeProviderContentWindow implements IframeProviderContentWindowModel {
    contentWindow: Window | null;
    walletAddress: string;
    private readonly container;
    private readonly header;
    private readonly title;
    private readonly body;
    private readonly iframe;
    private loginType;
    constructor(props: IframeProviderContentWindowProps);
    private buildWindow;
    private buildHeader;
    private buildContainer;
    private setupWindow;
    private forceVisible;
    private forceHidden;
    getContainer(): HTMLDivElement;
    getIframe(): HTMLIFrameElement;
    getContentWindow(): Window | null;
    setUrl(url: string): void;
    remove(): void;
    setWalletVisible(visible: boolean): void;
    addEventListener(type: string, listener: EventListenerOrEventListenerObject): void;
}
export {};
